Revoke a platform API key
curl --request DELETE \
--url https://api.withsplendor.com/v1/platform/keys/{key_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withsplendor.com/v1/platform/keys/{key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withsplendor.com/v1/platform/keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"detail": "<string>"
}Platform
Revoke a platform API key
Revokes one of your platform API keys so it can no longer authenticate. Responds with 404 if the key does not exist or belongs to another platform.
DELETE
/
v1
/
platform
/
keys
/
{key_id}
Revoke a platform API key
⌘I